package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.entities.IndikatorBIOS;
import com.jasamedika.medifirst2000.vo.IndikatorBIOSCustomVO;
import com.jasamedika.medifirst2000.vo.IndikatorBIOSTransaksiVO;
import com.jasamedika.medifirst2000.vo.IndikatorBIOSVO;

public interface IndikatorBIOSService extends BaseVoService<IndikatorBIOS, IndikatorBIOSVO, Integer> {

	Map<String, Object> saveIndikatorBIOS(IndikatorBIOSCustomVO vo);

	Map<String, Object> saveIndikatorBIOSPengeluaran(List<IndikatorBIOSVO> vo);

	Map<String, Object> saveIndikatorBIOSTransaksi(IndikatorBIOSTransaksiVO vo);

	List<Map<String, Object>> findAllCustom();

	List<Map<String, Object>> saveIndikatorBIOSTransaksi(List<IndikatorBIOSTransaksiVO> vos);

	List<Map<String, Object>> layananLainBIOS(String tanggal_update);

	List<Map<String, Object>> layananKesehatanBIOS(String tanggal_update);

	List<Map<String, Object>> penerimaanBLU(String tanggal);

	List<Map<String, Object>> pengeluaranBLU(String tanggal);

	List<Map<String, Object>> saldoBLU(String tanggal);

	List<Map<String, Object>> layananLainBIOSNew(String tanggal_update);

	List<Map<String, Object>> layananKesehatanBIOSNew(String tanggal_update);

	List<Map<String, Object>> penerimaanPengeluaranBLUNew(String tanggal, String layanan);

	List<Map<String, Object>> saldoBLUNew(String tanggal);

	List<Map<String, Object>> findAllIndikatorLainnya();

	List<Map<String, Object>> findAllIndikatorPenerimaanKeuangan();

	List<Map<String, Object>> findAllIndikatorPengeluaranKeuangan();

}
